package service

import (
	"context"
	"github.com/caixw/lib.go/conv"
	"github.com/sirupsen/logrus"
	"youngee_m_api/db"
	"youngee_m_api/model/common_model"
	"youngee_m_api/model/http_model"
)

var User *user

type user struct {
}

func (*user) EnterpriseUserList(ctx context.Context, pageSize, pageNum int32, condition *common_model.EnterpriseUserConditions) (*http_model.EnterpriseUserData, error) {
	enterpriseUsers, total, err := db.GetEnterpriseUserList(ctx, pageSize, pageNum, condition)
	if err != nil {
		logrus.WithContext(ctx).Errorf("[user service] call GetEnterpriseUserList error,err:%+v", err)
		return nil, err
	}
	EnterpriseUserData := new(http_model.EnterpriseUserData)
	EnterpriseUserData.EnterpriseUserPreview = enterpriseUsers
	EnterpriseUserData.Total = conv.MustString(total, "")
	return EnterpriseUserData, nil
}

func (*user) CreatorList(ctx context.Context, pageSize, pageNum int32, conditions *common_model.CreatorListConditions) (*http_model.CreatorListData, error) {
	CreatorList, total, err := db.GetCreatorList(ctx, pageSize, pageNum, conditions)
	if err != nil {
		logrus.WithContext(ctx).Errorf("[user service] call GetEnterpriseUserList error,err:%+v", err)
		return nil, err
	}
	CreatorListData := new(http_model.CreatorListData)
	CreatorListData.CreatorListPreview = CreatorList
	CreatorListData.Total = conv.MustString(total, "")
	return CreatorListData, nil
}
